gstreamermm 1.4.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::Context Class Reference
Inheritance diagram for Gst::Context:
[legend]
Collaboration diagram for Gst::Context:
[legend]

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstContext* | gobj ()
| Provides access to the underlying C instance. More...
const GstContext* | gobj () const
| Provides access to the underlying C instance. More...
GstContext* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Gst::Context > | copy ()
| Creates a copy of the context. More...
Glib::RefPtr< Gst::Context > | copy () const
| Creates a copy of the context. More...
Glib::ustring | get_context_type () const
| Get the type of context. More...
bool | has_context_type (const Glib::ustring& context_type) const
| Checks if context has context_type. More...
bool | is_persistent () const
| Check if context is persistent. More...
Gst::Structure | writable_structure () const
| Get a writable version of the structure. More...
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
gint | get_refcount () const
gint | get_lockstate () const
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...
void | set_qdata (GQuark quark, QuarkData* data)
| This sets an opaque, named pointer on a miniobject. More...
QuarkData* | get_qdata (GQuark quark) const
| This function gets back user data pointers stored via set_qdata(). More...
QuarkData* | steal_qdata (GQuark quark)
| This function gets back user data pointers stored via set_qdata() and removes the data from object without invoking its destroy() function (if any was set). More...
void | add_finalize_notifier (const SlotFinalizer& slot)
| Adds notifier when mini object is finalized. More...
void | remove_finalize_notifier ()
| Remove finalize notifier. More...

## Static Public Member Functions
static Glib::RefPtr< Context > | create (const Glib::ustring& context_type, bool persistent)

## Protected Member Functions
| Context ()
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
| MiniObject ()
void | operator delete (void*, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::Context > | wrap (GstContext* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gst::MiniObject
typedef sigc::slot< void > | SlotFinalizer

## Constructor & Destructor Documentation

Gst::Context::Context | ( |  | ) |
| protected

## Member Function Documentation

Glib::RefPtr<Gst::Context> Gst::Context::copy | ( |  | ) |

Creates a copy of the context.

Returns a copy of the context.

Returns
  A new copy of context.

MT safe.

Glib::RefPtr<Gst::Context> Gst::Context::copy | ( |  | ) | const

Creates a copy of the context.

Returns a copy of the context.

Returns
  A new copy of context.

MT safe.

static Glib::RefPtr<Context> Gst::Context::create | ( | const Glib::ustring & | context_type,
|  | bool | persistent
| ) |  |
| static

Glib::ustring Gst::Context::get_context_type | ( |  | ) | const

Get the type of context.

Returns
  The type of the context.

GstContext* Gst::Context::gobj | ( |  | ) |

Provides access to the underlying C instance.

const GstContext* Gst::Context::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GstContext* Gst::Context::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gst::Context::has_context_type | ( | const Glib::ustring & | context_type | ) | const

Checks if context has context_type.

Parameters

  context_type | Context type to check.

Returns
  `true` if context has context_type.

bool Gst::Context::is_persistent | ( |  | ) | const

Check if context is persistent.

Returns
  `true` if the context is persistent.

void Gst::Context::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

void Gst::Context::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gst::Context::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

Gst::Structure Gst::Context::writable_structure | ( |  | ) | const

Get a writable version of the structure.

Returns
  The structure of the context. The structure is still owned by the event, which means that you should not free it and that the pointer becomes invalid when you free the event. This function checks if context is writable.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::Context > wrap | ( | GstContext * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/context.h